| Home · All Classes · All Namespaces · Modules · Functions · Files

Public Member Functions
Tp::ByteArrayList Struct Reference
List types

`#include <TelepathyQt/Types>`

List of all members.

## Public Member Functions

- ByteArrayList ()
- ByteArrayList (const QList< QByteArray > &a)
- ByteArrayList & operator= (const QList< QByteArray > &a)

## Detailed Description

Generic list type with QByteArray elements. Convertible with QList<QByteArray>, but needed to have a discrete type in the Qt type system.

## Constructor & Destructor Documentation

Tp::ByteArrayList::ByteArrayList | ( |  | ) | `[inline]`

Tp::ByteArrayList::ByteArrayList | ( | const QList< QByteArray > & | a | ) | `[inline]`

## Member Function Documentation

ByteArrayList& Tp::ByteArrayList::operator= | ( | const QList< QByteArray > & | a | ) | `[inline]`